[arch-commits] Commit in subversion/repos (4 files)

Giovanni Scafora giovanni at archlinux.org
Wed Jun 24 13:07:14 EDT 2009


    Date: Wednesday, June 24, 2009 @ 13:07:14
  Author: giovanni
Revision: 43491

Merged revisions 40746,41750,41783,43341 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/subversion/trunk

........
  r40746 | francois | 2009-05-30 13:41:46 -0700 (sab, 30 mag 2009) | 1 line
  
  upgpkg: subversion 1.6.2-4
........
  r41750 | douglas | 2009-06-06 22:51:46 -0700 (sab, 06 giu 2009) | 2 lines
  
  upgpkg: subversion 1.6.2-5
      Patched with the latest gerardo patch to fix clean chroot issues
........
  r41783 | douglas | 2009-06-07 04:34:39 -0700 (dom, 07 giu 2009) | 2 lines
  
  upgpkg: subversion 1.6.2-6
      Hopefully fixed the git problem now
........
  r43341 | douglas | 2009-06-22 18:58:55 -0700 (lun, 22 giu 2009) | 2 lines
  
  upgpkg: subversion 1.6.3-1
      Updating for i686, hope no bugs this time.
........

Added:
  subversion/repos/extra-x86_64/subversion.rpath.fix.patch
    (from rev 43341, subversion/trunk/subversion.rpath.fix.patch)
Modified:
  subversion/repos/extra-x86_64/	(properties)
  subversion/repos/extra-x86_64/ChangeLog
  subversion/repos/extra-x86_64/PKGBUILD

----------------------------+
 ChangeLog                  |    4 ++++
 PKGBUILD                   |   23 ++++++++++-------------
 subversion.rpath.fix.patch |   10 ++++++++++
 3 files changed, 24 insertions(+), 13 deletions(-)


Property changes on: subversion/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /subversion/trunk:1-39994
   + /subversion/trunk:1-43490

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2009-06-24 15:14:23 UTC (rev 43490)
+++ extra-x86_64/ChangeLog	2009-06-24 17:07:14 UTC (rev 43491)
@@ -1,4 +1,8 @@
 
+2009-06-07  Douglas Soares de Andrade  <douglas at archlinux.org>
+
+	* Now hopefully fixed git issues
+
 2009-05-16  Douglas Soares de Andrade  <douglas at archlinux.org>
 
 	* Fixing wrong link against ruby 1.9

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-24 15:14:23 UTC (rev 43490)
+++ extra-x86_64/PKGBUILD	2009-06-24 17:07:14 UTC (rev 43491)
@@ -1,10 +1,10 @@
 # $Id$
-# Contributer: Jason Chu <jason at archlinux.org>
-# Maintainer: Jason Chu <jason at archlinux.org>
+# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=subversion
-pkgver=1.6.2
-pkgrel=3
+pkgver=1.6.3
+pkgrel=1
 pkgdesc="Replacement for CVS, another versioning system (svn)"
 arch=(i686 x86_64)
 license=('apache' 'bsd')
@@ -13,7 +13,8 @@
              'perl>=5.10.0-3' 'swig>=1.3.31' 'ruby' 'openjdk6' 'autoconf'
              'sqlite3')
 source=(http://subversion.tigris.org/downloads/$pkgname-$pkgver.tar.bz2
-        svnserve svn svnserve.conf svnmerge.py)
+        svnserve svn svnserve.conf svnmerge.py
+        subversion.rpath.fix.patch)
 
 backup=('etc/xinetd.d/svn' 'etc/conf.d/svnserve')
 url="http://subversion.tigris.org/"
@@ -26,6 +27,7 @@
    [ -z "${J2REDIR}" ] && . /etc/profile.d/openjdk6.sh
    [ -z "${J2SDKDIR}" ] && . /etc/profile.d/openjdk6.sh
 
+   patch -p0 < $srcdir/subversion.rpath.fix.patch || return 1
    autoreconf
    ./configure --prefix=/usr --with-apr=/usr --with-apr-util=/usr \
                --with-zlib=/usr --with-neon=/usr --with-apxs \
@@ -47,12 +49,6 @@
    install -d -m 755 tools/hook-scripts $startdir/pkg/usr/share/subversion/
    rm -f $startdir/pkg/usr/share/subversion/hook-scripts/*.in
 
-   (
-     cd subversion/bindings/swig/perl/native
-     perl Makefile.PL
-     sed 's|^LD_RUN_PATH|#LD_RUN_PATH|g;s|LD_RUN_PATH="$(LD_RUN_PATH)" ||g' -i Makefile{,.{client,delta,fs,ra,repos,wc}}
-   ) || return 1
-
    make DESTDIR=$startdir/pkg swig-pl || return 1
    make install-swig-pl DESTDIR=$startdir/pkg INSTALLDIRS=vendor || return 1
    rm -f $startdir/pkg/usr/lib/perl5/vendor_perl/auto/SVN/_Core/.packlist
@@ -75,8 +71,9 @@
    install -m 755 $startdir/src/svnmerge.py $startdir/pkg/usr/bin/svnmerge
    install -D -m 644 $startdir/src/subversion-$pkgver/COPYING $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
 }
-md5sums=('ebb1cecd313533ca0876f9bfc86bd5d9'
+md5sums=('8bf7637ac99368db0890e3f085fa690d'
          'c5a2e490b3e58c6bd2ca3a2e72b71845'
          'a0db6dd43af33952739b6ec089852630'
          'c459e299192552f61578f3438abf0664'
-         '21bf3aa5b797ce98eba8307f30e9c070')
+         '21bf3aa5b797ce98eba8307f30e9c070'
+         '6b4340ba9d8845cd8497e013ae01be3f')

Copied: subversion/repos/extra-x86_64/subversion.rpath.fix.patch (from rev 43341, subversion/trunk/subversion.rpath.fix.patch)
===================================================================
--- extra-x86_64/subversion.rpath.fix.patch	                        (rev 0)
+++ extra-x86_64/subversion.rpath.fix.patch	2009-06-24 17:07:14 UTC (rev 43491)
@@ -0,0 +1,10 @@
+--- Makefile.in.orig	2009-02-16 14:10:48.000000000 -0200
++++ Makefile.in	2009-06-04 00:56:29.000000000 -0300
+@@ -678,6 +678,7 @@
+ 
+ $(SWIG_PL_DIR)/native/Makefile: $(SWIG_PL_DIR)/native/Makefile.PL
+ 	cd $(SWIG_PL_DIR)/native; $(PERL) Makefile.PL
++	cd $(SWIG_PL_DIR)/native; sed -i 's|LD_RUN_PATH|DIE_RPATH_DIE|g' Makefile{,.{client,delta,fs,ra,repos,wc}}
+ 
+ swig-pl_DEPS = autogen-swig-pl libsvn_swig_perl \
+   $(SWIG_PL_DIR)/native/Makefile



More information about the arch-commits mailing list